<?xml version="1.0" encoding="UTF-8"?>

<!--   feature:repo-add mvn:ru.entaxy.esb.platform.runtime.modules/uniform-service/$ESB_ENTAXY_VERSION/xml/features -->
<features name="ru.entaxy.esb.platform.runtime.modules-${project.version}"
          xmlns="http://karaf.apache.org/xmlns/features/v1.3.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://karaf.apache.org/xmlns/features/v1.3.0 http://karaf.apache.org/xmlns/features/v1.3.0">

    <!-- repository>mvn:ru.entaxy.esb/karaf-features/${project.version}/xml/features</repository -->

    <feature name="common-soap" version="${project.version}">
        <configfile finalname="${karaf.etc}/uniform.service.support.cfg" override="false">
            mvn:ru.entaxy.esb.platform.runtime.modules/uniform-service/${project.version}/cfg/uniform.service.support
        </configfile>
        <configfile finalname="${karaf.etc}/uniform.service.ignite.cfg" override="false">
            mvn:ru.entaxy.esb.platform.runtime.modules/uniform-service/${project.version}/cfg/uniform.service.ignite
        </configfile>

        <bundle>mvn:ru.entaxy.esb.platform.runtime.modules.uniform.service/support/${project.version}</bundle>
        <bundle>mvn:ru.entaxy.esb.platform.runtime.modules.uniform.service/connector/${project.version}</bundle>
        <capability>
            osgi.service;effective:=active;objectClass=org.apache.camel.Component;connection.name=entaxy-broker
        </capability>
    </feature>

    <feature name="entaxy-uniform-service" version="${project.version}">
        <feature version="${project.version}">common-soap</feature>
        <configfile finalname="${karaf.etc}/uniform.exchange.passive.cfg" override="false">
            mvn:ru.entaxy.esb.platform.runtime.modules/uniform-service/${project.version}/cfg/uniform.exchange.passive
        </configfile>
        <bundle>mvn:ru.entaxy.esb.platform.runtime.modules.uniform.service/uniform-service-endpoint/${project.version}</bundle>
    </feature>

</features>
